require('telescope').setup{
  defaults = {
    -- Default configuration for telescope goes here:
    -- config_key = value,
    mappings = {
      i = {
        -- map actions.which_key to <C-h> (default: <C-/>)
        -- actions.which_key shows the mappings for your picker,
        -- e.g. git_{create, delete, ...}_branch for the git_branches picker
        ["<C-h>"] = "which_key"
      }
    }
  },
  pickers = {
    -- Default configuration for builtin pickers goes here:
    -- picker_name = {
    --   picker_config_key = value,
    --   ...
    -- }
    -- Now the picker_config_key will be applied every time you call this
    -- builtin picker
  },
  extensions = {
    -- Your extension configuration goes here:
    -- extension_name = {
    --   extension_config_key = value,
    -- }
    -- please take a look at the readme of the extension you want to configure
  }
}

local options = { noremap = true }
local map = vim.api.nvim_set_keymap

map('n', '<leader>ff', "<cmd>lua require('telescope.builtin').find_files()<cr>", options)
map('n', '<leader>fg', "<cmd>lua require('telescope.builtin').live_grep()<cr>", options)
map('n', '<leader>fb', "<cmd>lua require('telescope.builtin').buffers()<cr>", options)
map('n', '<leader>fc', "<cmd>lua require('telescope.builtin').quickfix()<cr>", options)
map('n', '<leader>fl', "<cmd>lua require('telescope.builtin').loclist()<cr>", options)
map('n', '<leader>fs', "<cmd>lua require('telescope.builtin').spell_suggest()<cr>", options)
map('n', '<leader>fr', "<cmd>lua require('telescope.builtin').lsp_references()<cr>", options)
map('n', '<leader>fo', "<cmd>lua require('telescope.builtin').lsp_document_symbols()<cr>", options)
map('n', '<leader>fa', "<cmd>lua require('telescope.builtin').lsp_code_actions()<cr>", options)
map('n', '<leader>fd', "<cmd>lua require('telescope.builtin').diagnostics({bufnr=0})<cr>", options)
map('n', '<leader>fgs', "<cmd>lua require('telescope.builtin').git_status()<cr>", options)
map('n', '<leader>fgc', "<cmd>lua require('telescope.builtin').git_bcommits()<cr>", options)
map('n', '<leader>fgb', "<cmd>lua require('telescope.builtin').git_branches()<cr>", options)
